<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Shared\Date</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_dateTimeToExcel" title="dateTimeToExcel ::Convert a PHP DateTime object to an MS Excel serialized date/time value.">
            <span class="description">Convert a PHP DateTime object to an MS Excel serialized date/time value.</span><pre>dateTimeToExcel</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_dayStringToNumber" title="dayStringToNumber ::Strips an ordinal from a numeric value.">
            <span class="description">Strips an ordinal from a numeric value.</span><pre>dayStringToNumber</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_excelToDateTimeObject" title="excelToDateTimeObject ::Convert a MS serialized datetime value from Excel to a PHP Date/Time object.">
            <span class="description">Convert a MS serialized datetime value from Excel to a PHP Date/Time object.</span><pre>excelToDateTimeObject</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_excelToTimestamp" title="excelToTimestamp ::Convert a MS serialized datetime value from Excel to a unix timestamp.">
            <span class="description">Convert a MS serialized datetime value from Excel to a unix timestamp.</span><pre>excelToTimestamp</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_formattedPHPToExcel" title="formattedPHPToExcel ::formattedPHPToExcel.">
            <span class="description">formattedPHPToExcel.</span><pre>formattedPHPToExcel</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDefaultTimezone" title="getDefaultTimezone ::Return the Default timezone being used for dates.">
            <span class="description">Return the Default timezone being used for dates.</span><pre>getDefaultTimezone</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getExcelCalendar" title="getExcelCalendar ::Return the Excel calendar (Windows 1900 or Mac 1904).">
            <span class="description">Return the Excel calendar (Windows 1900 or Mac 1904).</span><pre>getExcelCalendar</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_isDateTime" title="isDateTime ::Is a given cell a date/time?">
            <span class="description">Is a given cell a date/time?</span><pre>isDateTime</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_isDateTimeFormat" title="isDateTimeFormat ::Is a given number format a date/time?">
            <span class="description">Is a given number format a date/time?</span><pre>isDateTimeFormat</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_isDateTimeFormatCode" title="isDateTimeFormatCode ::Is a given number format code a date/time?">
            <span class="description">Is a given number format code a date/time?</span><pre>isDateTimeFormatCode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_monthStringToNumber" title="monthStringToNumber ::Converts a month name (either a long or a short name) to a month number.">
            <span class="description">Converts a month name (either a long or a short name) to a month number.</span><pre>monthStringToNumber</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_PHPToExcel" title="PHPToExcel ::Convert a date from PHP to an MS Excel serialized date/time value.">
            <span class="description">Convert a date from PHP to an MS Excel serialized date/time value.</span><pre>PHPToExcel</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setDefaultTimezone" title="setDefaultTimezone ::Set the Default timezone to use for dates.">
            <span class="description">Set the Default timezone to use for dates.</span><pre>setDefaultTimezone</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setExcelCalendar" title="setExcelCalendar ::Set the Excel calendar (Windows 1900 or Mac 1904).">
            <span class="description">Set the Excel calendar (Windows 1900 or Mac 1904).</span><pre>setExcelCalendar</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_stringToExcel" title="stringToExcel ::Convert a date/time string to Excel time.">
            <span class="description">Convert a date/time string to Excel time.</span><pre>stringToExcel</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_timestampToExcel" title="timestampToExcel ::Convert a Unix timestamp to an MS Excel serialized date/time value.">
            <span class="description">Convert a Unix timestamp to an MS Excel serialized date/time value.</span><pre>timestampToExcel</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>                        <li class="methodprotected">
                            <a href="#method_validateTimeZone" title="validateTimeZone ::Validate a timezone.">
                                <span class="description">Validate a timezone.</span><pre>validateTimeZone</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_CALENDAR_MAC_1904" title="CALENDAR_MAC_1904 ::">
                        <span class="description"></span><pre>CALENDAR_MAC_1904</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CALENDAR_WINDOWS_1900" title="CALENDAR_WINDOWS_1900 ::constants">
                        <span class="description">constants</span><pre>CALENDAR_WINDOWS_1900</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Date</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_dateTimeToExcel"></a>
                        <div class="element clickable methodpublic method_dateTimeToExcel" data-toggle="collapse" data-target=".method_dateTimeToExcel .collapse">
                            <h2>Convert a PHP DateTime object to an MS Excel serialized date/time value.</h2>
                            <pre>dateTimeToExcel(\DateTimeInterface $dateValue): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>\DateTimeInterface</code><p><p>PHP DateTime object</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p><p>MS Excel serialized date/time value</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_dayStringToNumber"></a>
                        <div class="element clickable methodpublic method_dayStringToNumber" data-toggle="collapse" data-target=".method_dayStringToNumber .collapse">
                            <h2>Strips an ordinal from a numeric value.</h2>
                            <pre>dayStringToNumber(string $day): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$day</h4>
                                                <code>string</code><p><p>Day number with an ordinal</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>The integer value with any ordinal stripped, or the original string argument if it isn't a valid numeric</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_excelToDateTimeObject"></a>
                        <div class="element clickable methodpublic method_excelToDateTimeObject" data-toggle="collapse" data-target=".method_excelToDateTimeObject .collapse">
                            <h2>Convert a MS serialized datetime value from Excel to a PHP Date/Time object.</h2>
                            <pre>excelToDateTimeObject(float|integer $excelTimestamp,null|\DateTimeZone|string $timeZone = null): \DateTime</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$excelTimestamp</h4>
                                                <code>float|integer</code><p><p>MS Excel serialized date/time value</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$timeZone</h4>
                                                <code>null|\DateTimeZone|string</code><p><p>The timezone to assume for the Excel timestamp,
if you don't want to treat it as a UTC value
Use the default (UST) unless you absolutely need a conversion</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\DateTime</code><p><p>PHP date/time object</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_excelToTimestamp"></a>
                        <div class="element clickable methodpublic method_excelToTimestamp" data-toggle="collapse" data-target=".method_excelToTimestamp .collapse">
                            <h2>Convert a MS serialized datetime value from Excel to a unix timestamp.</h2>
                            <pre>excelToTimestamp(float|integer $excelTimestamp,null|\DateTimeZone|string $timeZone = null): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$excelTimestamp</h4>
                                                <code>float|integer</code><p><p>MS Excel serialized date/time value</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$timeZone</h4>
                                                <code>null|\DateTimeZone|string</code><p><p>The timezone to assume for the Excel timestamp,
if you don't want to treat it as a UTC value
Use the default (UST) unless you absolutely need a conversion</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Unix timetamp for this date/time</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_formattedPHPToExcel"></a>
                        <div class="element clickable methodpublic method_formattedPHPToExcel" data-toggle="collapse" data-target=".method_formattedPHPToExcel .collapse">
                            <h2>formattedPHPToExcel.</h2>
                            <pre>formattedPHPToExcel(integer $year,integer $month,integer $day,integer $hours,integer $minutes,integer $seconds): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$year</h4>
                                                <code>integer</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$month</h4>
                                                <code>integer</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$day</h4>
                                                <code>integer</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$hours</h4>
                                                <code>integer</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$minutes</h4>
                                                <code>integer</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$seconds</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p><p>Excel date/time value</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDefaultTimezone"></a>
                        <div class="element clickable methodpublic method_getDefaultTimezone" data-toggle="collapse" data-target=".method_getDefaultTimezone .collapse">
                            <h2>Return the Default timezone being used for dates.</h2>
                            <pre>getDefaultTimezone(): \DateTimeZone</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\DateTimeZone</code><p><p>The timezone being used as default for Excel timestamp to PHP DateTime object</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getExcelCalendar"></a>
                        <div class="element clickable methodpublic method_getExcelCalendar" data-toggle="collapse" data-target=".method_getExcelCalendar .collapse">
                            <h2>Return the Excel calendar (Windows 1900 or Mac 1904).</h2>
                            <pre>getExcelCalendar(): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Excel base date (1900 or 1904)</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_isDateTime"></a>
                        <div class="element clickable methodpublic method_isDateTime" data-toggle="collapse" data-target=".method_isDateTime .collapse">
                            <h2>Is a given cell a date/time?</h2>
                            <pre>isDateTime(\PhpOffice\PhpSpreadsheet\Cell\Cell $pCell): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pCell</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Cell\Cell</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_isDateTimeFormat"></a>
                        <div class="element clickable methodpublic method_isDateTimeFormat" data-toggle="collapse" data-target=".method_isDateTimeFormat .collapse">
                            <h2>Is a given number format a date/time?</h2>
                            <pre>isDateTimeFormat(\PhpOffice\PhpSpreadsheet\Style\NumberFormat $pFormat): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFormat</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Style\NumberFormat</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_isDateTimeFormatCode"></a>
                        <div class="element clickable methodpublic method_isDateTimeFormatCode" data-toggle="collapse" data-target=".method_isDateTimeFormatCode .collapse">
                            <h2>Is a given number format code a date/time?</h2>
                            <pre>isDateTimeFormatCode(string $pFormatCode): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFormatCode</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_monthStringToNumber"></a>
                        <div class="element clickable methodpublic method_monthStringToNumber" data-toggle="collapse" data-target=".method_monthStringToNumber .collapse">
                            <h2>Converts a month name (either a long or a short name) to a month number.</h2>
                            <pre>monthStringToNumber(string $month): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$month</h4>
                                                <code>string</code><p><p>Month name or abbreviation</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Month number (1 - 12), or the original string argument if it isn't a valid month name</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_PHPToExcel"></a>
                        <div class="element clickable methodpublic method_PHPToExcel" data-toggle="collapse" data-target=".method_PHPToExcel .collapse">
                            <h2>Convert a date from PHP to an MS Excel serialized date/time value.</h2>
                            <pre>PHPToExcel(mixed $dateValue): boolean|float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>mixed</code><p><p>Unix Timestamp or PHP DateTime object or a string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean|float</code><p><p>Excel date/time value
or boolean FALSE on failure</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setDefaultTimezone"></a>
                        <div class="element clickable methodpublic method_setDefaultTimezone" data-toggle="collapse" data-target=".method_setDefaultTimezone .collapse">
                            <h2>Set the Default timezone to use for dates.</h2>
                            <pre>setDefaultTimezone(\DateTimeZone|string $timeZone): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$timeZone</h4>
                                                <code>\DateTimeZone|string</code><p><p>The timezone to set for all Excel datetimestamp to PHP DateTime Object conversions</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>Success or failure</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setExcelCalendar"></a>
                        <div class="element clickable methodpublic method_setExcelCalendar" data-toggle="collapse" data-target=".method_setExcelCalendar .collapse">
                            <h2>Set the Excel calendar (Windows 1900 or Mac 1904).</h2>
                            <pre>setExcelCalendar(integer $baseDate): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$baseDate</h4>
                                                <code>integer</code><p><p>Excel base date (1900 or 1904)</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>Success or failure</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_stringToExcel"></a>
                        <div class="element clickable methodpublic method_stringToExcel" data-toggle="collapse" data-target=".method_stringToExcel .collapse">
                            <h2>Convert a date/time string to Excel time.</h2>
                            <pre>stringToExcel(string $dateValue): false|float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>string</code><p><p>Examples: '2009-12-31', '2009-12-31 15:59', '2009-12-31 15:59:10'</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>false|float</code><p><p>Excel date/time serial value</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_timestampToExcel"></a>
                        <div class="element clickable methodpublic method_timestampToExcel" data-toggle="collapse" data-target=".method_timestampToExcel .collapse">
                            <h2>Convert a Unix timestamp to an MS Excel serialized date/time value.</h2>
                            <pre>timestampToExcel(integer $dateValue): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>integer</code><p><p>Unix Timestamp</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p><p>MS Excel serialized date/time value</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_validateTimeZone"></a>
                        <div class="element clickable methodprotected method_validateTimeZone" data-toggle="collapse" data-target=".method_validateTimeZone .collapse">
                            <h2>Validate a timezone.</h2>
                            <pre>validateTimeZone(\DateTimeZone|string $timeZone): \DateTimeZone</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$timeZone</h4>
                                                <code>\DateTimeZone|string</code><p><p>The timezone to validate, either as a timezone string or object</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\DateTimeZone</code><p><p>The timezone as a timezone object</p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_CALENDAR_WINDOWS_1900"> </a>
                            <div class="element clickable constant constant_CALENDAR_WINDOWS_1900" data-toggle="collapse" data-target=".constant_CALENDAR_WINDOWS_1900 .collapse">
                                <h2>constants</h2>
                                <pre>CALENDAR_WINDOWS_1900</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CALENDAR_MAC_1904"> </a>
                            <div class="element clickable constant constant_CALENDAR_MAC_1904" data-toggle="collapse" data-target=".constant_CALENDAR_MAC_1904 .collapse">
                                <h2>CALENDAR_MAC_1904</h2>
                                <pre>CALENDAR_MAC_1904</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_monthNames"> </a>
                            <div class="element clickable propertypublic property_monthNames" data-toggle="collapse" data-target=".property_monthNames .collapse">
                                <h2>Names of the months of the year, indexed by shortname
Planned usage for locale settings.</h2>
                                <pre>monthNames :array&lt;mixed,string&gt;</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,string&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_numberSuffixes"> </a>
                            <div class="element clickable propertypublic property_numberSuffixes" data-toggle="collapse" data-target=".property_numberSuffixes .collapse">
                                <h2>numberSuffixes</h2>
                                <pre>numberSuffixes :array&lt;mixed,string&gt;</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,string&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_excelCalendar"> </a>
                            <div class="element clickable propertyprotected property_excelCalendar" data-toggle="collapse" data-target=".property_excelCalendar .collapse">
                                <h2>Base calendar year to use for calculations
Value is either CALENDAR_WINDOWS_1900 (1900) or CALENDAR_MAC_1904 (1904).</h2>
                                <pre>excelCalendar :integer</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_defaultTimeZone"> </a>
                            <div class="element clickable propertyprotected property_defaultTimeZone" data-toggle="collapse" data-target=".property_defaultTimeZone .collapse">
                                <h2>Default timezone to use for DateTime objects.</h2>
                                <pre>defaultTimeZone :null|\DateTimeZone</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>null|\DateTimeZone</code>                                    </div>
                                </div>
                            </div>                            <a id="property_possibleDateFormatCharacters"> </a>
                            <div class="element clickable propertyprivate property_possibleDateFormatCharacters" data-toggle="collapse" data-target=".property_possibleDateFormatCharacters .collapse">
                                <h2>possibleDateFormatCharacters</h2>
                                <pre>possibleDateFormatCharacters :</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Shared\Date"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Shared.html">Shared</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Date.html">Date</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:49 +0000.<br/>
    </footer></body>
</html>
